%global packname  knitr
%global rlibdir  %{_datadir}/R/library

# Mostly unnecessary for a simple build, plus a lot depend on knitr.
%global with_suggests 0

Name:             R-%{packname}
Version:          1.20
Release:          2%{?dist}
Summary:          A General-Purpose Package for Dynamic Report Generation in R

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-evaluate >= 0.10, R-highr, R-markdown, R-stringr >= 0.6, R-yaml, R-methods, R-tools
# Suggests:  R-formatR, R-testit, R-digest, R-rgl >= 0.95.1201, R-codetools, R-rmarkdown, R-htmlwidgets >= 0.7, R-webshot, R-tikzDevice >= 0.10, R-tinytex, R-xfun, R-reticulate >= 1.4, R-JuliaCall >= 0.11.1, R-png, R-jpeg, R-xml2, R-httr, R-DBI >= 0.4-1, R-showtext, R-tibble
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         tex(framed.sty)
Suggests:         tex(listings.sty)
Requires:         R-evaluate >= 0.10
Requires:         R-highr
Requires:         R-markdown
Requires:         R-stringr >= 0.6
Requires:         R-yaml
Requires:         R-methods
Requires:         R-tools
Suggests:         R-formatR
Suggests:         R-digest
Suggests:         R-rgl >= 0.95.1201
Suggests:         R-codetools
Suggests:         R-rmarkdown
Suggests:         R-htmlwidgets >= 0.7
Suggests:         R-webshot
Suggests:         R-tikzDevice >= 0.10
Suggests:         R-tinytex
Suggests:         R-xfun
Suggests:         R-reticulate >= 1.4
Suggests:         R-JuliaCall >= 0.11.1
Suggests:         R-png
Suggests:         R-jpeg
Suggests:         R-xml2
Suggests:         R-httr
Suggests:         R-DBI >= 0.4.1
Suggests:         R-showtext
Suggests:         R-tibble
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    tex(framed.sty)
BuildRequires:    R-evaluate >= 0.10
BuildRequires:    R-highr
BuildRequires:    R-markdown
BuildRequires:    R-stringr >= 0.6
BuildRequires:    R-yaml
BuildRequires:    R-methods
BuildRequires:    R-tools
BuildRequires:    R-testit
BuildRequires:    R-digest
BuildRequires:    R-codetools
BuildRequires:    R-htmlwidgets >= 0.7
BuildRequires:    R-tikzDevice >= 0.10
BuildRequires:    R-tinytex
BuildRequires:    R-xfun
BuildRequires:    R-png
BuildRequires:    R-jpeg
BuildRequires:    R-xml2
BuildRequires:    R-DBI >= 0.4.1
BuildRequires:    R-showtext
%if %{with_suggests}
BuildRequires:    R-formatR
BuildRequires:    R-rgl >= 0.95.1201
BuildRequires:    R-rmarkdown
BuildRequires:    R-webshot
BuildRequires:    R-reticulate >= 1.4
BuildRequires:    R-JuliaCall >= 0.11.1
BuildRequires:    R-httr
BuildRequires:    R-httr
BuildRequires:    R-tibble
# Mostly examples.
BuildRequires;    R-Cairo
BuildRequires:    lyx
BuildRequires;    tex(animate.sty)
BuildRequires;    tex(relsize.sty)
BuildRequires;    tex(beamer.cls)
BuildRequires;    tex(tufte-handout.cls)
%endif

%description
Provides a general-purpose tool for dynamic report generation in R using
Literate Programming techniques.


%prep
%setup -q -c -n %{packname}

# Can't run from installed location anyway.
rm %{packname}/inst/examples/knit-all.R


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

mkdir %{buildroot}%{_bindir}
sed -e '1d;2i#!%{_bindir}/Rscript' %{buildroot}%{rlibdir}/%{packname}/bin/knit > %{buildroot}%{_bindir}/knit
chmod --reference=%{buildroot}%{rlibdir}/%{packname}/bin/knit %{buildroot}%{_bindir}/knit
touch -r %{buildroot}%{rlibdir}/%{packname}/bin/knit %{buildroot}%{_bindir}/knit
rm -r %{buildroot}%{rlibdir}/%{packname}/bin

rm %{buildroot}%{rlibdir}/%{packname}/misc/framed.sty


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%{_bindir}/knit
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/NEWS.Rd
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/misc
%{rlibdir}/%{packname}/opencpu
%{rlibdir}/%{packname}/shiny
%{rlibdir}/%{packname}/themes


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 05 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.20-1
- Update to latest version

* Tue May 01 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.18-1
- Update to latest version
- Rewrite using latest template

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 10 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.17-2
- Fix license tag
- Fix embedding script paths

* Fri Aug 25 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.17-1
- initial package for Fedora
